Автор Тема: В какой репе находится данный пакет?  (Прочитано 1474 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Сёмин

Ищу пакет dnscrypt-proxy, который описан здесь: https://packages.debian.org/sid/dnscrypt-proxy
Но по APT он не обнаруживается.  Какую репу надо подключить, чтобы он появился?

Cообщение объединено 10 Декабрь 2016, 01:17:37
В-общем, так и не нашел для dnscrypt-proxy нужную репу.
Пришлось скачать  dnscrypt-proxy_1.7.0+dfsg-1_amd64.deb  отсюда -  http://mirror.yandex.ru/debian/pool/main/d/dnscrypt-proxy/  и устанавливать вручную.

Но тут новая засада - для этого пакета понадобилась либа libltdl7 с версией не ниже 2.4.6,
а репы Jessie предлагают только 2.4.2.

Что за фигня такая творится c репами и пакетыми? Явно несогласованные пакеты в пределах одного и того же дистрибутива.
И что же теперь остается делать - компилировать??  >:(
« Последнее редактирование: 10 Декабрь 2016, 01:20:20 от Сёмин »
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн ihammers

Re: В какой репе находится данный пакет?
« Ответ #1 : 10 Декабрь 2016, 04:07:00 »
Но по APT он не обнаруживается.  Какую репу надо подключить, чтобы он появился?
В список репозитариев добавляли stretch или sid? Можно временно подключить все ветки, после чего обновить список пакетов, и установить пакет:
~$ sudo apt-get install -t stretch dnscrypt-proxy
Вам требуется устанавливать libltdl7 из stretch, как и все связанные пакеты с нужным.
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 
Пользователи, которые поблагодарили этот пост: Сёмин

Оффлайн AndGaz

Re: В какой репе находится данный пакет?
« Ответ #2 : 10 Декабрь 2016, 10:43:13 »
Что за фигня такая творится c репами и пакетыми? Явно несогласованные пакеты в пределах одного и того же дистрибутива.
Бред.
 

Оффлайн dogsleg

Re: В какой репе находится данный пакет?
« Ответ #3 : 10 Декабрь 2016, 11:06:30 »
https://packages.debian.org/sid/dnscrypt-proxy

А что тут искать? Из адреса же видно, что эта версия в sid (он же unstable).

Можно посмотреть откуда будет ставиться на вашей машине так:

$ apt-cache policy dnscrypt-proxy
dnscrypt-proxy:
  Установлен: (отсутствует)
  Кандидат:   1.7.0+dfsg-1
  Таблица версий:
     1.7.0+dfsg-1 990
        990 http://ftp.debian.org/debian testing/main amd64 Packages
        500 http://ftp.debian.org/debian unstable/main amd64 Packages

То есть, версия 1.7.0+dfsg-1 есть и в sid, и в testing (из подключенных у меня сейчас).

Если посмотреть тут, то видно, что в stable этого пакета нет. Не понятно, как вы искали "нужную репу", так как официальные все синхронизируются. Сначала разберитесь с тем, какие бывают выпуски в Debian. То, что вы пишете про "несогласование" пакетов в дистрибутиве, на самом деле является "несогласованием" в Вашей голове.
 
Пользователи, которые поблагодарили этот пост: sidbar, Сёмин

Оффлайн yoric

Re: В какой репе находится данный пакет?
« Ответ #4 : 10 Декабрь 2016, 13:17:11 »
Вам требуется устанавливать libltdl7 из stretch, как и все связанные пакеты с нужным.
Ага, а оно как потянет потом за собой, лучше уж сразу на unstable обновляться :) Или как минимум на тестинг.
 

Оффлайн ferum

Re: В какой репе находится данный пакет?
« Ответ #5 : 10 Декабрь 2016, 14:33:13 »
Ищу пакет dnscrypt-proxy
То что программы нет в репозитории не значит что на неё запрет https://infoconfig.wordpress.com/2015/05/07/nastroyka-dnscrypt-v-linux-debian-ubuntu/.
По моему из за одной программы менять дистрибутив на тестируемый не самая лучшая идея.
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Сёмин

Оффлайн yoric

Re: В какой репе находится данный пакет?
« Ответ #6 : 10 Декабрь 2016, 14:59:38 »
Да я-то как раз шучу, подвергаю сомнению, что получится с установкой одного пакета из тестинга.
 

Оффлайн Сёмин

Re: В какой репе находится данный пакет?
« Ответ #7 : 10 Декабрь 2016, 21:49:58 »
Цитировать
А что тут искать? Из адреса же видно, что эта версия в sid (он же unstable).
Об этом я уже догадался сам. И что из этого? В самом деле, я же не буду менять версию дистрибутива из-за одного пакета.

Цитировать
То что программы нет в репозитории не значит что на неё запрет https://infoconfig.wordpress.com/2015/05/07/nastroyka-dnscrypt-v-linux-debian-ubuntu/.
Подобных статей, в которых нужно компилировать,  я уже насчитал с десяток.
Но мне не нужна компиляция, Debian - это не Gentoo и не FreeBSD, я ищу  готовый пакет для Jessie - есть такой?
Мои поиски ничего не дали, ваши тоже, что же получается -  надо компилировать?

Но я приниципиально не хочу  засирать красивую систему всяческим мусором, образующимся после компиляции  (см. подпись), который потом не убрать.
Собирать пакеты в Debian пока не умею, к тому же это дело не быстрое.
ferum, вы можете помочь в этом вопросе? Очень нужен этот пакет для Jessie.....
« Последнее редактирование: 12 Декабрь 2016, 01:04:39 от Сёмин »
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн ferum

Re: В какой репе находится данный пакет?
« Ответ #8 : 10 Декабрь 2016, 22:18:24 »
Если не сию минуту то попробую , только не обязательно это будет последняя версия.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Сёмин

Re: В какой репе находится данный пакет?
« Ответ #9 : 10 Декабрь 2016, 22:26:36 »
Потерплю, конечно :)   А почему не последняя - проблемка с libltdl7 или другое?
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Оффлайн ferum

Re: В какой репе находится данный пакет?
« Ответ #10 : 11 Декабрь 2016, 09:31:25 »
Начнём с последней а там посмотрим. Случается что для сборки требуются одна или несколько зависимостей более высокой версии чем есть в дистрибутиве их тоже можно бэкпортировать но приходится держать в уме что за счёт этого то же можно сломать некоторые зависимости. В общем будем стараться как лучше для системы вообще и для простоты сборки в частности. Я уже готовлю сборочную машину.

Cообщение объединено [time]11 Декабрь 2016, 10:33:19[/time]
Сборка не сложная , собрал в двух вариантах https://yadi.sk/d/P6l_NtwO32yra9  бэкпорты https://packages.debian.org/sid/dnscrypt-proxy и немного старее https://launchpad.net/~anton+/+archive/ubuntu/dnscrypt/+packages Сборочные и установочные зависимости немного отличаются кстати пакеты связаны с systemd очевидно что программы немного разные. Попробовал оба пакета через gdebi просят до установить один и тот же дополнительный пакет из репозитория то есть в принципе установятся и в случае чего удалятся нормально. Судя по приведённому мной выше мануалу программу в любом случае надо настраивать.
Отпишитесь потом о результатах на всякий.
« Последнее редактирование: 11 Декабрь 2016, 10:34:45 от ferum »
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: Сёмин

Оффлайн Сёмин

Re: В какой репе находится данный пакет?
« Ответ #11 : 12 Декабрь 2016, 01:13:35 »
Начал с пакета dnscrypt-proxy_1.7.0+dfsg-1_amd64.deb - ура, установился моментально и без проблем!  :D

ferum, спасибо большое!  :-*

Сейчас опробую в деле.

Cообщение объединено 12 Декабрь 2016, 21:47:37
ferum, сам пакет более новой версии работоспособен, еще раз спасибо!  :)
Сама программа вызывает вопросы, но они, конечно же, не касаются данной темы.
« Последнее редактирование: 12 Декабрь 2016, 21:47:37 от Сёмин »
(c) Когда для дистрибутива, в котором полно готовых пакетов, предлагают компиляцию, рука сама тянется к пистолету  >:(
 

Теги:
 

Какой архив надёжнее?

Автор Edwards

Ответов: 1
Просмотров: 969
Последний ответ 14 Апрель 2016, 00:53:45
от alsoijw
Какой плагин ставить в Оперу?

Автор prestidigitateur

Ответов: 9
Просмотров: 2767
Последний ответ 05 Октябрь 2011, 07:55:04
от prestidigitateur
Удалил пакет apt, как теперь установить его обратно?

Автор anoobis

Ответов: 6
Просмотров: 1671
Последний ответ 08 Август 2016, 04:08:00
от endru
Посоветуйте, какой дебиан ставить для процессора без инструкций SSE2

Автор ЦарьПушка

Ответов: 56
Просмотров: 8721
Последний ответ 21 Март 2018, 12:17:50
от ecc83
I/O Scheduler для SSD и HDD. Какой лучше выбрать?

Автор Demetrum24579

Ответов: 4
Просмотров: 409
Последний ответ 23 Сентябрь 2020, 23:38:51
от Demetrum24579